---
sidebar_position: 17
title: Win Limit
description: Display win and gamble limit notifications in-game.
---

# Win Limit

## Overview

- Shows a win limit popup during gameplay.
- Win limit notifications can appear in the **main game** or **Free Spin mode**.

![Overview](../img/05-main-scene/win-limit/overview.png)

---

## Implementation

### Prefab Location

| Path                                                     | Prefab Name                  |
|----------------------------------------------------------|------------------------------|
| `assets/core-assets/hyper-core/packages/present/prefabs` | `present-win-limit-reached`  |

---

### Scene Hierarchy

Place the prefab in the following scene structure:

```
Canvas
└── [main-view]
    └── [game-view]
        └── [present-win-limit-reached]
```

![Scene Structure](../img/05-main-scene/win-limit/win-limit-component.png)

#### `hyper-present-win-limit-reached`

- Displays win/gamble limit notifications.
- Supports animations and user interactions.
- Ensure all node references are assigned in the Inspector.

#### `Animation`

| Status | Animation Path                                                    | Animation Name                       |
|--------|-------------------------------------------------------------------|--------------------------------------|
| Show   | `assets/core-assets/slotty-core/packages/feature-game/animations` | `anim-show-feature-win-presentation` |
| Hide   | `assets/core-assets/slotty-core/packages/feature-game/animations` | `anim-hide-feature-win-presentation` |

---

## Asset Setup

- Drag and drop the required image onto the node in the editor:

![Asset Setup](../img/05-main-scene/win-limit/assets-win-limit.png)

### Font

- Use a **custom font** to match the win label style for your game theme.

![Font](../img/05-main-scene/win-limit/add-font.png)


---

:::tip
- Follow the game design layout for assets and fonts.
- Configure win limits per game.
:::
